Categories:
  - Reading
  - Internet
License: GPL-3.0-only
AuthorName: Ondřej Foltýn & Richard Klapáč
SourceCode: https://gitlab.com/ondrejfoltyn/nunti
IssueTracker: https://gitlab.com/ondrejfoltyn/nunti/issues

AutoName: Nunti

RepoType: git
Repo: https://gitlab.com/ondrejfoltyn/nunti.git

Builds:
  - versionName: v1.0.0
    versionCode: 1
    commit: v1.0.0
    subdir: Nunti/android/app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -t stretch-backports openjdk-11-jdk-headless openjdk-11-jre-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.13.1/node-v16.13.1-linux-x64.tar.xz
      - echo "a3721f87cecc0b52b0be8587c20776ac7305db413751db02c55aa2bffac15198 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.13.1-linux-x64/. /usr/local/
      - rm -rf node-v16.13.1-linux-x64/ node.tar.xz
      - npm --global install yarn
    init:
      - cd ../..
      - npm install --no-optional
    gradle:
      - yes
    output: build/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - react-native-reanimated@2.3.1
    prebuild: echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >>
        build.gradle
    scanignore:
      - Nunti/android/build.gradle
      - Nunti/node_modules/jsc-android
      - Nunti/node_modules/react-native/android
      - Nunti/node_modules/hermes-engine
      - Nunti/node_modules/react-native-vector-icons/android/build.gradle
      - Nunti/node_modules/react-native-safe-area-context/android/build.gradle
      - Nunti/node_modules/react-native-pager-view/android/build.gradle
      - Nunti/node_modules/@react-native-community/netinfo/android/build.gradle
      - Nunti/node_modules/@react-native-community/masked-view/android/build.gradle
      - Nunti/node_modules/react-native-screens/android/build.gradle
      - Nunti/node_modules/react-native/ReactAndroid/build.gradle
    scandelete:
      - Nunti/node_modules
    build:
      - REACT_NATIVE_VERSION=`npm pkg get 'dependencies.react-native' | sed -E 's/^"([0-9]+\.[0-9]+\.[0-9]+)"/\1/'`
      - REACT_NATIVE_VERSION_MINOR=`echo ${REACT_NATIVE_VERSION} | sed -E 's/^[0-9]+\.([0-9]+)\.[0-9]+/\1/'`
      - pushd $$react-native-reanimated$$
      - pushd ..
      - yarn add react-native@"${REACT_NATIVE_VERSION}"
      - popd
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-${REACT_NATIVE_VERSION_MINOR}-hermes.aar
    ndk: r23

  - versionName: v1.1.0
    versionCode: 2
    commit: 7f07262f50e6a5bba3f6cff520097c32ae890b95
    subdir: Nunti/android/app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -t stretch-backports openjdk-11-jdk-headless openjdk-11-jre-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.13.1/node-v16.13.1-linux-x64.tar.xz
      - echo "a3721f87cecc0b52b0be8587c20776ac7305db413751db02c55aa2bffac15198 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.13.1-linux-x64/. /usr/local/
      - rm -rf node-v16.13.1-linux-x64/ node.tar.xz
      - npm --global install yarn
    init:
      - cd ../..
      - npm install --no-optional
    gradle:
      - yes
    output: build/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - react-native-reanimated@2.3.1
    prebuild: echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >>
        build.gradle
    scanignore:
      - Nunti/android/build.gradle
      - Nunti/node_modules/jsc-android
      - Nunti/node_modules/react-native/android
      - Nunti/node_modules/hermes-engine
      - Nunti/node_modules/react-native-vector-icons/android/build.gradle
      - Nunti/node_modules/react-native-safe-area-context/android/build.gradle
      - Nunti/node_modules/react-native-pager-view/android/build.gradle
      - Nunti/node_modules/@react-native-community/netinfo/android/build.gradle
      - Nunti/node_modules/@react-native-community/masked-view/android/build.gradle
      - Nunti/node_modules/react-native-screens/android/build.gradle
      - Nunti/node_modules/react-native/ReactAndroid/build.gradle
      - Nunti/node_modules/react-native-bootsplash/android/build.gradle
    scandelete:
      - Nunti/node_modules
    build:
      - REACT_NATIVE_VERSION=`npm pkg get 'dependencies.react-native' | sed -E 's/^"([0-9]+\.[0-9]+\.[0-9]+)"/\1/'`
      - REACT_NATIVE_VERSION_MINOR=`echo ${REACT_NATIVE_VERSION} | sed -E 's/^[0-9]+\.([0-9]+)\.[0-9]+/\1/'`
      - pushd $$react-native-reanimated$$
      - pushd ..
      - yarn add react-native@"${REACT_NATIVE_VERSION}"
      - popd
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-${REACT_NATIVE_VERSION_MINOR}-hermes.aar
    ndk: r23

  - versionName: v1.2.0
    versionCode: 3
    commit: 20f612288dbeb39351cc36c0c18eae9c239cde97
    subdir: Nunti/android/app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -t stretch-backports openjdk-11-jdk-headless openjdk-11-jre-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.13.1/node-v16.13.1-linux-x64.tar.xz
      - echo "a3721f87cecc0b52b0be8587c20776ac7305db413751db02c55aa2bffac15198 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.13.1-linux-x64/. /usr/local/
      - rm -rf node-v16.13.1-linux-x64/ node.tar.xz
      - npm --global install yarn
    init:
      - cd ../..
      - npm install --no-optional
    gradle:
      - yes
    output: build/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - react-native-reanimated@2.3.1
    prebuild: echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >>
        build.gradle
    scanignore:
      - Nunti/android/build.gradle
      - Nunti/node_modules/jsc-android
      - Nunti/node_modules/react-native/android
      - Nunti/node_modules/hermes-engine
      - Nunti/node_modules/react-native-vector-icons/android/build.gradle
      - Nunti/node_modules/react-native-safe-area-context/android/build.gradle
      - Nunti/node_modules/react-native-pager-view/android/build.gradle
      - Nunti/node_modules/@react-native-community/netinfo/android/build.gradle
      - Nunti/node_modules/@react-native-community/masked-view/android/build.gradle
      - Nunti/node_modules/react-native-screens/android/build.gradle
      - Nunti/node_modules/react-native/ReactAndroid/build.gradle
      - Nunti/node_modules/react-native-bootsplash/android/build.gradle
    scandelete:
      - Nunti/node_modules
    build:
      - REACT_NATIVE_VERSION=`npm pkg get 'dependencies.react-native' | sed -E 's/^"([0-9]+\.[0-9]+\.[0-9]+)"/\1/'`
      - REACT_NATIVE_VERSION_MINOR=`echo ${REACT_NATIVE_VERSION} | sed -E 's/^[0-9]+\.([0-9]+)\.[0-9]+/\1/'`
      - pushd $$react-native-reanimated$$
      - pushd ..
      - yarn add react-native@"${REACT_NATIVE_VERSION}"
      - popd
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-${REACT_NATIVE_VERSION_MINOR}-hermes.aar
    ndk: r23

  - versionName: v1.2.1
    versionCode: 4
    commit: a5e06f857bb1ed9dc103dd158ddc749eb0e6952d
    subdir: Nunti/android/app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -t stretch-backports openjdk-11-jdk-headless openjdk-11-jre-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.13.1/node-v16.13.1-linux-x64.tar.xz
      - echo "a3721f87cecc0b52b0be8587c20776ac7305db413751db02c55aa2bffac15198 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.13.1-linux-x64/. /usr/local/
      - rm -rf node-v16.13.1-linux-x64/ node.tar.xz
      - npm --global install yarn
    init:
      - cd ../..
      - npm install --no-optional
    gradle:
      - yes
    output: build/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - react-native-reanimated@2.3.1
    prebuild: echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >>
        build.gradle
    scanignore:
      - Nunti/android/build.gradle
      - Nunti/node_modules/jsc-android
      - Nunti/node_modules/react-native/android
      - Nunti/node_modules/hermes-engine
      - Nunti/node_modules/react-native-vector-icons/android/build.gradle
      - Nunti/node_modules/react-native-safe-area-context/android/build.gradle
      - Nunti/node_modules/react-native-pager-view/android/build.gradle
      - Nunti/node_modules/@react-native-community/netinfo/android/build.gradle
      - Nunti/node_modules/@react-native-community/masked-view/android/build.gradle
      - Nunti/node_modules/react-native-screens/android/build.gradle
      - Nunti/node_modules/react-native/ReactAndroid/build.gradle
      - Nunti/node_modules/react-native-bootsplash/android/build.gradle
    scandelete:
      - Nunti/node_modules
    build:
      - REACT_NATIVE_VERSION=`npm pkg get 'dependencies.react-native' | sed -E 's/^"([0-9]+\.[0-9]+\.[0-9]+)"/\1/'`
      - REACT_NATIVE_VERSION_MINOR=`echo ${REACT_NATIVE_VERSION} | sed -E 's/^[0-9]+\.([0-9]+)\.[0-9]+/\1/'`
      - pushd $$react-native-reanimated$$
      - pushd ..
      - yarn add react-native@"${REACT_NATIVE_VERSION}"
      - popd
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-${REACT_NATIVE_VERSION_MINOR}-hermes.aar
    ndk: r23

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: v1.2.1
CurrentVersionCode: 4
